Debian Bug report logs - #591111
libdbd-sqlite3-perl: FTBFS: failed tests

version graph

Package: src:libdbd-sqlite3-perl; Maintainer for src:libdbd-sqlite3-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 31 Jul 2010 22:57:11 UTC

Severity: serious

Tags: confirmed, patch, sid, squeeze

Found in version libdbd-sqlite3-perl/1.29-2

Fixed in version libdbd-sqlite3-perl/1.29-3

Done: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Ticket/Display.html?id=60698

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591111; Package src:libdbd-sqlite3-perl. (Sat, 31 Jul 2010 22:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sat, 31 Jul 2010 22:57:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libdbd-sqlite3-perl: FTBFS: failed tests
Date: Sat, 31 Jul 2010 18:38:37 -0400
Source: libdbd-sqlite3-perl
Version: 1.29-2
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100731 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/build/user-libdbd-sqlite3-perl_1.29-2-amd64-kidYQx/libdbd-sqlite3-perl-1.29'
> PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
> # $DBI::VERSION=1.612
> t/01_compile.t ........................... ok
> # sqlite_version=3.7.0
> t/02_logon.t ............................. ok
> t/03_create_table.t ...................... ok
> t/04_insert.t ............................ ok
> t/05_select.t ............................ ok
> t/06_tran.t .............................. ok
> t/07_error.t ............................. ok
> 
> #   Failed test at t/08_busy.t line 101.
> # Your testing environment might be too slow to pass this test: DBD::SQLite::db do failed: disk I/O error at t/08_busy.t line 100, <READER> line 1.
> 
> #   Failed test at t/08_busy.t line 101.
> # Your testing environment might be too slow to pass this test: DBD::SQLite::db do failed: disk I/O error at t/08_busy.t line 100, <READER> line 2.
> # Looks like you failed 2 tests of 23.
> t/08_busy.t .............................. 
> Dubious, test returned 2 (wstat 512, 0x200)
> Failed 2/23 subtests 
> t/09_create_function.t ................... ok
> t/10_create_aggregate.t .................. ok
> t/12_unicode.t ........................... ok
> t/13_create_collation.t .................. ok
> t/14_progress_handler.t .................. ok
> t/15_ak_dbd.t ............................ ok
> t/16_column_info.t ....................... ok
> t/17_createdrop.t ........................ ok
> t/18_insertfetch.t ....................... ok
> t/19_bindparam.t ......................... ok
> t/20_blobs.t ............................. ok
> t/21_blobtext.t .......................... ok
> t/22_listfields.t ........................ ok
> t/23_nulls.t ............................. ok
> t/24_numrows.t ........................... ok
> t/25_chopblanks.t ........................ ok
> t/26_commit.t ............................ ok
> t/27_metadata.t .......................... ok
> DBD::SQLite::db do failed: disk I/O error at t/28_schemachange.t line 56.
> 
> #   Failed test 'DROP TABLE table1'
> #   at t/28_schemachange.t line 56.
> # Error: 'disk I/O error'
> DBD::SQLite::db do failed: disk I/O error at t/28_schemachange.t line 57.
> 
> #   Failed test 'CREATE TABLE table2 (id INTEGER NOT NULL, name CHAR (64) NOT NULL)'
> #   at t/28_schemachange.t line 57.
> # Error: 'disk I/O error'
> # Looks like you failed 2 tests of 9.
> t/28_schemachange.t ...................... 
> Dubious, test returned 2 (wstat 512, 0x200)
> Failed 2/9 subtests 
> t/29_cppcomments.t ....................... ok
> t/30_auto_rollback.t ..................... ok
> t/31_bind_weird_number_param.t ........... ok
> t/32_inactive_error.t .................... ok
> t/33_non_latin_path.t .................... ok
> t/34_online_backup.t ..................... ok
> t/35_table_info.t ........................ ok
> t/36_hooks.t ............................. ok
> t/37_regexp.t ............................ ok
> t/38_empty_statement.t ................... ok
> t/97_meta.t .............................. ok
> t/98_pod.t ............................... ok
> t/99_pmv.t ............................... skipped: no minimum perl version could be determined
> t/rt_15186_prepcached.t .................. ok
> t/rt_21406_auto_finish.t ................. ok
> t/rt_25371_asymmetric_unicode.t .......... ok
> t/rt_25460_numeric_aggregate.t ........... ok
> t/rt_25924_user_defined_func_unicode.t ... ok
> t/rt_27553_prepared_cache_and_analyze.t .. ok
> t/rt_29058_group_by.t .................... ok
> t/rt_29629_sqlite_where_length.t ......... ok
> t/rt_31324_full_names.t .................. ok
> t/rt_32889_prepare_cached_reexecute.t .... ok
> t/rt_36836_duplicate_key.t ............... ok
> t/rt_36838_unique_and_bus_error.t ........ ok
> t/rt_40594_nullable.t .................... ok
> t/rt_48393_debug_panic_with_commit.t ..... skipped: set $ENV{TEST_DBD_SQLITE_WITH_DEBUGGER} to enable this test
> t/rt_50503_fts3.t ........................ ok
> t/rt_52573_manual_exclusive_lock.t ....... ok
> 
> Test Summary Report
> -------------------
> t/08_busy.t                            (Wstat: 512 Tests: 23 Failed: 2)
>   Failed tests:  11, 22
>   Non-zero exit status: 2
> t/28_schemachange.t                    (Wstat: 512 Tests: 9 Failed: 2)
>   Failed tests:  7-8
>   Non-zero exit status: 2
> Files=56, Tests=1213,  9 wallclock secs ( 0.22 usr  0.09 sys +  2.31 cusr  0.26 csys =  2.88 CPU)
> Result: FAIL
> Failed 2/56 test programs. 4/1213 subtests failed.
> make[2]: *** [test_dynamic] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/07/31/libdbd-sqlite3-perl_1.29-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) confirmed. Request was from Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> to control@bugs.debian.org. (Sun, 01 Aug 2010 12:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591111; Package src:libdbd-sqlite3-perl. (Thu, 05 Aug 2010 02:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 591111@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: 591111@bugs.debian.org
Subject: Re: Bug#591111: libdbd-sqlite3-perl: FTBFS: failed tests
Date: Thu, 05 Aug 2010 11:43:07 +0900
Hi

Lucas Nussbaum <lucas@lucas-nussbaum.net> writes:

> Source: libdbd-sqlite3-perl
> Version: 1.29-2

>> t/07_error.t ............................. ok
>> 
>> #   Failed test at t/08_busy.t line 101.
>> # Your testing environment might be too slow to pass this test: DBD::SQLite::db do failed: disk I/O error at t/08_busy.t line 100, <READER> line 1.
>> 
>> #   Failed test at t/08_busy.t line 101.
>> # Your testing environment might be too slow to pass this test: DBD::SQLite::db do failed: disk I/O error at t/08_busy.t line 100, <READER> line 2.
>> # Looks like you failed 2 tests of 23.
>> t/08_busy.t .............................. 
>> Dubious, test returned 2 (wstat 512, 0x200)
>> Failed 2/23 subtests 

>> DBD::SQLite::db do failed: disk I/O error at t/28_schemachange.t line 56.
>> 
>> #   Failed test 'DROP TABLE table1'
>> #   at t/28_schemachange.t line 56.
>> # Error: 'disk I/O error'
>> DBD::SQLite::db do failed: disk I/O error at t/28_schemachange.t line 57.
>> 
>> #   Failed test 'CREATE TABLE table2 (id INTEGER NOT NULL, name CHAR (64) NOT NULL)'
>> #   at t/28_schemachange.t line 57.
>> # Error: 'disk I/O error'
>> # Looks like you failed 2 tests of 9.
>> t/28_schemachange.t ...................... 
>> Dubious, test returned 2 (wstat 512, 0x200)
>> Failed 2/9 subtests 

This only happens with libsqlite3-dev 3.7.0-1, the test suite passes
with the older 3.6.23.1-4.  Should we reassign this to libsqlite3?

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591111; Package src:libdbd-sqlite3-perl. (Wed, 18 Aug 2010 04:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@43-1.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 18 Aug 2010 04:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 591111@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@43-1.org>
To: debian-release@lists.debian.org
Cc: 591298@bugs.debian.org, 591111@bugs.debian.org
Subject: Re: RFC: SQLite3 in Squeeze
Date: Wed, 18 Aug 2010 12:57:28 +0900
Hi,

Laszlo Boszormenyi <gcs@debian.hu> writes:

> There's a problem with SQLite3 3.7.0 in Squeeze.
> The version in testing (3.6.23.1-4) was suitable to release. Next major
> upstream version (3.7.0) was released, which was uploaded to unstable.
> Then freeze happened. The latest release came with problems, like slow
> song change with Banshee (reported as #591298 [1]).

This might also be the cause of failures in the test suite of
libdbd-sqlite3-perl (#591111 [0]):

--8<---------------cut here---------------start------------->8---
#   Failed test at t/08_busy.t line 101.
# Your testing environment might be too slow to pass this test: DBD::SQLite::db do failed: disk I/O error at t/08_busy.t line 100, <READER> line 1.

#   Failed test at t/08_busy.t line 101.
# Your testing environment might be too slow to pass this test: DBD::SQLite::db do failed: disk I/O error at t/08_busy.t line 100, <READER> line 2.
# Looks like you failed 2 tests of 23.
t/08_busy.t .............................. 

# Waiting for child... (4520)
# Child starting... (4521)
# Child exiting... (4521)
DBD::SQLite::db do failed: disk I/O error at t/28_schemachange.t line 57.

#   Failed test 'DROP TABLE table1'
#   at t/28_schemachange.t line 57.
# Error: 'disk I/O error'
DBD::SQLite::db do failed: disk I/O error at t/28_schemachange.t line 58.

#   Failed test 'CREATE TABLE table2 (id INTEGER NOT NULL, name CHAR (64) NOT NULL)'
#   at t/28_schemachange.t line 58.
# Error: 'disk I/O error'
# Looks like you failed 2 tests of 9.
t/28_schemachange.t ...................... 
--8<---------------cut here---------------end--------------->8---

This still happens with sqlite3 3.7.0.1-1 as well.

Regards,
Ansgar

[0] <http://bugs.debian.org/591111>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591111; Package src:libdbd-sqlite3-perl. (Mon, 23 Aug 2010 05:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 23 Aug 2010 05:33:06 GMT) Full text and rfc822 format available.

Message #20 received at 591111@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 591111@bugs.debian.org
Subject: Re: Bug#591111: libdbd-sqlite3-perl: FTBFS: failed tests
Date: Mon, 23 Aug 2010 08:28:30 +0300
[Message part 1 (text/plain, inline)]
tag 591111 patch
thanks

On Thu, Aug 05, 2010 at 11:43:07AM +0900, Ansgar Burchardt wrote:
> Lucas Nussbaum <lucas@lucas-nussbaum.net> writes:
> 
> > Source: libdbd-sqlite3-perl
> > Version: 1.29-2
> 
> >> t/07_error.t ............................. ok
> >> 
> >> #   Failed test at t/08_busy.t line 101.
> >> # Your testing environment might be too slow to pass this test: DBD::SQLite::db do failed: disk I/O error at t/08_busy.t line 100, <READER> line 1.

> This only happens with libsqlite3-dev 3.7.0-1, the test suite passes
> with the older 3.6.23.1-4.  Should we reassign this to libsqlite3?

No, I don't think so. I think it's just a libdbd-sqlite3-perl test suite
problem. Its child processes clean up database files while the parent
keeps them open. This used to work with earlier sqlite3 versions but
write locks now seem to do a stat() on the file and fail if it's missing.

I don't think writing to a deleted database file is useful in the real
world, so it should be enough to change the test suite. Patch attached.
-- 
Niko Tyni   ntyni@debian.org
[0001-Don-t-clean-temporary-files-in-child-processes.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Mon, 23 Aug 2010 05:33:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#591111; Package src:libdbd-sqlite3-perl. (Mon, 23 Aug 2010 08:21:02 GMT) Full text and rfc822 format available.

Message #25 received at 591111@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 591111@bugs.debian.org, 591111-submitter@bugs.debian.org
Subject: Bug in libdbd-sqlite3-perl fixed in revision 61939
Date: Mon, 23 Aug 2010 08:17:30 +0000
tag 591111 + pending
thanks

Some bugs are closed in revision 61939
by Salvatore Bonaccorso (carnil-guest)

Commit message:

Add 0001-Don-t-clean-temporary-files-in-child-processes.patch patch:
Fixes FTBFS due failure in tests. Thanks to Niko Tyni for the
investigation and patch (Closes: #591111).




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 23 Aug 2010 08:21:04 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#591111. (Mon, 23 Aug 2010 08:21:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://rt.cpan.org/Ticket/Display.html?id=60698'. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Tue, 24 Aug 2010 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
You have taken responsibility. (Thu, 26 Aug 2010 23:06:03 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 26 Aug 2010 23:06:03 GMT) Full text and rfc822 format available.

Message #37 received at 591111-close@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: 591111-close@bugs.debian.org
Subject: Bug#591111: fixed in libdbd-sqlite3-perl 1.29-3
Date: Thu, 26 Aug 2010 23:02:07 +0000
Source: libdbd-sqlite3-perl
Source-Version: 1.29-3

We believe that the bug you reported is fixed in the latest version of
libdbd-sqlite3-perl, which is due to be installed in the Debian FTP archive:

libdbd-sqlite3-perl_1.29-3.debian.tar.gz
  to main/libd/libdbd-sqlite3-perl/libdbd-sqlite3-perl_1.29-3.debian.tar.gz
libdbd-sqlite3-perl_1.29-3.dsc
  to main/libd/libdbd-sqlite3-perl/libdbd-sqlite3-perl_1.29-3.dsc
libdbd-sqlite3-perl_1.29-3_i386.deb
  to main/libd/libdbd-sqlite3-perl/libdbd-sqlite3-perl_1.29-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 591111@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> (supplier of updated libdbd-sqlite3-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 24 Aug 2010 21:54:13 +0200
Source: libdbd-sqlite3-perl
Binary: libdbd-sqlite3-perl
Architecture: source i386
Version: 1.29-3
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
Description: 
 libdbd-sqlite3-perl - Perl DBI driver with a self-contained RDBMS
Closes: 591111
Changes: 
 libdbd-sqlite3-perl (1.29-3) unstable; urgency=low
 .
   [ Ansgar Burchardt ]
   * Use perl_dbi addon for dh.
     * Bump build-dependency on libdbi-perl to >= 1.612.
   * No longer run release tests.
     * Remove build-dep on libpod-simple-perl, libperl-minimumversion-perl,
       libtest-cpan-meta-perl, libtest-minimumversion-perl, libtest-pod-perl.
   * Bump Standards-Version to 3.9.0 (no changes).
 .
   [ Salvatore Bonaccorso ]
   * Add 0001-Don-t-clean-temporary-files-in-child-processes.patch patch:
     Fixes FTBFS due failure in tests. Thanks to Niko Tyni for the
     investigation and patch (Closes: #591111).
   * Refresh debian/copyright and explicitly refer to GPL-1 license text
     in common-licenses.
   * Bump Standards-Version to 3.9.1.
   * Add myself to Uploaders.
Checksums-Sha1: 
 b9e16130b306b500999c9ca0dfc3b33a02741c34 2342 libdbd-sqlite3-perl_1.29-3.dsc
 0f7be450c38a8a135398f16dd1866e18cbe7e651 9504 libdbd-sqlite3-perl_1.29-3.debian.tar.gz
 889cec3a12e6d510b781836b4bd8d4403f4cab94 88014 libdbd-sqlite3-perl_1.29-3_i386.deb
Checksums-Sha256: 
 d49ec11fd7c77b4e1634bf64c8286a55baacc3421b3a9d0bb859c1a24deb698a 2342 libdbd-sqlite3-perl_1.29-3.dsc
 9200ede4e82161ab1d38fc9f579045864077ea5f10e006c443b09d8ed4d85931 9504 libdbd-sqlite3-perl_1.29-3.debian.tar.gz
 bd324a5b9a0aac3bc66a3cfbc58847292e7dd2450802ec575eea7ffbfa493cda 88014 libdbd-sqlite3-perl_1.29-3_i386.deb
Files: 
 2238ab469a6b6d14acbe620e6d330ea5 2342 perl optional libdbd-sqlite3-perl_1.29-3.dsc
 ae80fd52242f2f4a7071a3943ee10a01 9504 perl optional libdbd-sqlite3-perl_1.29-3.debian.tar.gz
 ea07d42f9d37c104a9297e459b865338 88014 perl optional libdbd-sqlite3-perl_1.29-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJMdvESAAoJELs6aAGGSaoGNZoP/0gdM5cYfWObmZ5cOSvDxPaX
f98ZnQqpTY4Cf09naaL2j8g8qtwWLNUJ2xUiNIsnPb6muweMETCu6Bs88SON+NiC
hou8od4tFIZs4Fyr0wmO2m7Aolox6GzB+PMZrQeuMYSNYm4sVg3+rqAHCUAQQQVM
8n1/mBfeqH9FkdMM2OHAzvwfZbhMFCrXUaMkCU3YzxR2EGZKiS/JI6Pez/LDWHBE
uCSOGGyVC0nQ2VNeni08DtfUCMei2dSDytQ/FET8vh0TY62MtARYbBkL4+mvfNfb
HayorKpHFsZL//F5OYNjq8PTkaQVStrv9EhQS6cx7yjtWtXyEwvDSwPXrmhiQlcL
sEJ7A8Nvb1k0s9OMDKwIpqcC6AHepFn+N988skrTfX6jrSRDBzCWfRqxQaPSCv85
DM6SdDk81qWN6X2SHIxBioLr49oSOxlh4TmChAepWV88JPEBXiMO6NUzBDg/mHut
3QgSsjUtIGaqBQbidggnDg+m7xaVlTDbPcL6pPcgtHy0u4DL6rJLUkHB5sA4e58C
kOqPAwa8Lmrd6B/zzKPl84IPnQcQyLo72rAm8WcZW6ORs5I6cMmxgZjk7tw1IHNh
I3VmKrdjogKiDiqaVYu2GbxFzcFITXttLS+29KMx7nq+WfNOSFMF5sV573LzVddK
S6d7HD/Jj1gHxs9jahrr
=MCPx
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 24 Sep 2010 07:30:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:40:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.